<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.today.bonuspopup.BonusActivitiesDialogViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/parentContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/beige_rounded_background">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/closeDialogButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_large"
            android:src="@drawable/ic_bonus_activity"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Title.bananagrotesk"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_large"
            android:layout_marginTop="@dimen/spacing_xl"
            android:gravity="center"
            android:text="Bonus Activities"
            android:textStyle="bold"
            app:layout_constraintTop_toBottomOf="@id/closeDialogButton" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/subTitle"
            style="@style/Text.Normal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_large"
            android:layout_marginTop="@dimen/spacing_xl"
            android:gravity="center"
            android:text="These are not a part of your sleep program but can help you improve your overall wellness."
            app:layout_constraintTop_toBottomOf="@id/title" />

        <com.vessel.app.views.BlackRoundedButtonGroup
            android:id="@+id/btnTakeTest"
            style="@style/FooterButton"
            android:layout_marginTop="@dimen/spacing_4xl"
            android:onClick="@{(view) -> viewModel.onGotIt(view)}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/subTitle"
            app:text="@{@string/got_it}"
            tools:background="@color/black" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
